<template>
  <a-card title="Créer une nouvelle correspondance d'erreur" style="width: 100%">
    <div class="row mb-3">
      <div class="col-12 col-sm-4 mb-3">
        <div class="row">
          <div class="col-12 d-flex justify-content-center mb-3">
            <a-avatar shape="square" :size="200">
              <template #icon>
                <img src="../../../assets/users.jpg" alt="Avatar" />
              </template>
            </a-avatar>
          </div>

          <div class="col-12 d-flex justify-content-center">
            <a-button type="primary">
              <i class="fa-solid fa-plus me-2"></i>
              <span>Sélectionnez une photo</span>
            </a-button>
          </div>
        </div>
      </div>

      <div class="col-12 col-sm-8">
        <div class="row mb-3">
          <div class="col-12 col-sm-3 text-start text-sm-end">
            <label>
              <span class="text-danger me-1">*</span>
              <span>Durée avant purge:</span>
            </label>
          </div>

          <div class="col-12 col-sm-5">
            <a-select
              show-search
              placeholder="Durée avant purge"
              style="width: 100%"
              :options="users_status"
              :filter-option="filterOption"
              allow-clear
            ></a-select>
          </div>
        </div>

        <div class="row mb-3">
          <div class="col-12 col-sm-3 text-start text-sm-end">
            <label>
              <span class="text-danger me-1">*</span>
              <span>Code d'érreur:</span>
            </label>
          </div>

          <div class="col-12 col-sm-5">
            <a-input
              placeholder="Code d'érreur"
              allow-clear
            />
          </div>
        </div>

        <div class="row mb-3">
          <div class="col-12 col-sm-3 text-start text-sm-end">
            <label>
              <span class="text-danger me-1">*</span>
              <span>Code SmartPush:</span>
            </label>
          </div>

          <div class="col-12 col-sm-5">
            <a-input
              placeholder="Code SmartPush"
              allow-clear
            />
          </div>
        </div>

        <div class="row mb-3">
          <div class="col-12 col-sm-3 text-start text-sm-end">
            <label>
              <span class="text-danger me-1">*</span>
              <span>Nombre retour échec:</span>
            </label>
          </div>

          <div class="col-12 col-sm-5">
            <a-input
              placeholder="Nombre retour échec"
              allow-clear
            />
          </div>
        </div>

      </div>
    </div>

    <div class="row">
      <div class="col-12 d-grid d-sm-flex justify-content-sm-end mx-auto">
        <a-button class="me-0 me-sm-2 mb-3 mb-sm-0">
          <router-link :to="{ name: 'admin-users' }">
            <span>Annuler</span>
          </router-link>
        </a-button>

        <a-button type="primary">
          <span>Sauvegarder</span>
        </a-button>
      </div>
    </div>
  </a-card>
</template>

<script>
import { defineComponent, ref } from "vue";
import { useMenu } from "../../../stores/use-menu.js";

export default defineComponent({
  setup() {
    useMenu().onSelectedKeys(["admin-users"]);

    const users_status = ref([]);
    const departments = ref([]);

    const getUsersCreate = () => {
      axios.get("http://127.0.0.1:8000/api/users/create")
      .then((response) => {
        users_status.value = response.data.users_status;
        departments.value = response.data.departments;
      })
      .catch((error) => {
        console.log(error);
      });
    };

    const filterOption = (input, option) => {
      return option.label.toLowerCase().indexOf(input.toLowerCase()) >= 0;
    };

    getUsersCreate();

    return {
      users_status,
      departments,
      filterOption
    }
  },
});
</script>